import { DocBlock, DocBlockTextActions } from '@nexteditorjs/nexteditor-core';
import { Op } from 'sharedb';
import OpBlockDataDelta from './op-block-delta';
export interface OpParserHandler {
    onDeleteBlock: (containerId: string, blockIndex: number, local: boolean) => void;
    onInsertBlock: (containerId: string, blockIndex: number, data: DocBlock, local: boolean) => void;
    onUpdateBlockData: (containerId: string, blockIndex: number, data: OpBlockDataDelta, local: boolean) => void;
    onUpdateBlockText: (containerId: string, blockIndex: number, richTextData: DocBlockTextActions, local: boolean) => void;
    onDeleteContainer: (containerId: string, local: boolean) => void;
    onCreateContainer: (containerId: string, data: DocBlock[], local: boolean) => void;
}
export declare function parseOps(orgOps: Op[], handler: OpParserHandler, local: boolean): void;
