import { DocBlock, DocBlockText, NextEditorDoc, DocBlockTextActions, DocObject, NextEditorDocCallbacks, DocBlockDelta, EventCallbacks } from '@nexteditorjs/nexteditor-core';
import OpBlockDataDelta from './op-block-delta';
import { OpParserHandler } from './op-parser';
import { ShareDBDocOptions } from './options';
import ShareDBDocClient from './sharedb-client';
export default class ShareDBDoc extends EventCallbacks<NextEditorDocCallbacks> implements NextEditorDoc, OpParserHandler {
    client: ShareDBDocClient;
    private constructor();
    static load(options: ShareDBDocOptions): Promise<ShareDBDoc>;
    private handleClientError;
    private handleSocketClose;
    private get data();
    toJSON(): DocObject;
    getContainerBlocks(containerId: string): DocBlock[];
    getBlockData(containerId: string, blockIndex: number): DocBlock;
    localInsertBlock(containerId: string, blockIndex: number, data: DocBlock): DocBlock;
    localDeleteBlock(containerId: string, blockIndex: number): DocBlock;
    localUpdateBlockText(containerId: string, blockIndex: number, actions: DocBlockTextActions): DocBlockText;
    localUpdateBlockData(containerId: string, blockIndex: number, delta: DocBlockDelta): DocBlock;
    localInsertChildContainer(containerId: string, blocks: DocBlock[]): void;
    localDeleteChildContainers(containerIds: string[]): void;
    private handleOp;
    onDeleteBlock(containerId: string, blockIndex: number, local: boolean): void;
    onInsertBlock(containerId: string, blockIndex: number, data: DocBlock, local: boolean): void;
    onUpdateBlockData(containerId: string, blockIndex: number, delta: OpBlockDataDelta, local: boolean): void;
    onUpdateBlockText(containerId: string, blockIndex: number, actions: DocBlockTextActions, local: boolean): void;
    onDeleteContainer(containerId: string, local: boolean): void;
    onCreateContainer(containerId: string, blocks: DocBlock[], local: boolean): void;
    destroy(): void;
}
